SkiSchool-war/src/java/org/cvut/skischool/back/KindergartenBean.java
package org.cvut.skischool.back;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;
import org.cvut.skischool.beans.AvailabilityManagementLocal;
import org.cvut.skischool.beans.LessonManagementLocal;
import org.cvut.skischool.beans.UserManagementLocal;
import org.cvut.skischool.core.DateTools;
import org.cvut.skischool.core.NamingConstants;
import org.cvut.skischool.model.Instructor;
import org.cvut.skischool.model.Lesson;
import org.cvut.skischool.model.Student;
import org.primefaces.model.DualListModel;

/**
 *
 * @author sabolmi1
 */
@ManagedBean(name = "kindergartenBean")
@SessionScoped
public class KindergartenBean implements Serializable {

    @EJB
    private LessonManagementLocal lessonManagement;
    @EJB
    private UserManagementLocal userManagement;
    @EJB
    private AvailabilityManagementLocal availabilityManagement;
    private DualListModel<Instructor> instructors;
    private List<Student> students;
    private Student selectedStudent;
    private Student newStudent;
    private DataModel<Lesson> kindergartens;
    private Lesson lesson;
    private List<Instructor> previousTargetInstructors;
    private int startHour;
    private int startMinutes;
    private int endHour;
    private int endMinutes;
    private Date date;

    public KindergartenBean() {
        date = new Date();
        instructors = new DualListModel<Instructor>(new ArrayList(), new ArrayList());
        students = new ArrayList();
        lesson = new Lesson();
        selectedStudent = null;
        newStudent = null;
    }

    public Student getSelectedStudent() {
        return selectedStudent;
    }

    public void setSelectedStudent(Student selectedStudent) {
        this.selectedStudent = selectedStudent;
    }

    public List<Student> getStudents() {
        return students;
    }

    public void setStudents(List<Student> students) {
        this.students = students;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getEndHour() {
        return endHour;
    }

    public void setEndHour(int endHour) {
        this.endHour = endHour;
    }

    public int getEndMinutes() {
        return endMinutes;
    }

    public void setEndMinutes(int endMinutes) {
        this.endMinutes = endMinutes;
    }

    public int getStartHour() {
        return startHour;
    }

    public void setStartHour(int startHour) {
        this.startHour = startHour;
    }

    public int getStartMinutes() {
        return startMinutes;
    }

    public void setStartMinutes(int startMinutes) {
        this.startMinutes = startMinutes;
    }

    public Lesson getLesson() {
        return lesson;
    }

    public void setLesson(Lesson lesson) {
        this.lesson = lesson;
    }

//    public DataModel<Instructor> getAvailableInstructors() {
//        instructors = new DualListModel(availabilityManagement.getAvailableInstructorsByDate(date));
//        return instructors;
//    }
//     public List<Student> completeStudent(String query) {
//        return userManagement.getStudentsByName(query);
//    }
//
    public DualListModel<Instructor> getInstructors() {
        return instructors;
    }

    public void setInstructors(DualListModel<Instructor> instructors) {
        this.instructors = instructors;
    }

    public int getStudentsCount() {
        return students.size();
    }

    public DataModel<Lesson> getAllKindergartens() {
        kindergartens = new ListDataModel<Lesson>(lessonManagement.getAllLessonsByType(NamingConstants.LESSON_KINDERGARTEN));
        return kindergartens;
    }

    public void setAvailableInstructors(ActionEvent event) {
        lesson = kindergartens.getRowData();
        List<Instructor> teachingInstructors = lesson.getInstructors();
        List<Instructor> availableInstructors = new ArrayList<Instructor>(availabilityManagement.getAvailableInstructorsDuringLesson(lesson));
        availableInstructors.removeAll(teachingInstructors);
        instructors = new DualListModel<Instructor>(availableInstructors, teachingInstructors);
        previousTargetInstructors = teachingInstructors;
    }

    public void setLessonStudents(ActionEvent event) {
        selectedStudent = null;
        lesson = kindergartens.getRowData();
        students = lesson.getStudents();
    }

    public void newKindergarten() {
        lesson = new Lesson();
    }

    public void createKindergarten(ActionEvent event) {
        Date startTime = DateTools.makeDateTime(date, startHour, startMinutes, 0);
        Date endTime = DateTools.makeDateTime(date, endHour, endMinutes, 0);

        if (endTime.before(startTime)) {
//            showErrorMessage("End time is before start time");
            showErrorMessage("Koniec je pred začiatkom");
            return;
        }
        if (startTime.equals(endTime)) {
//            showErrorMessage("Start time and end time are equal");
            showErrorMessage("Začiatok a koniec sú rovnaké");
            return;
        }
        lesson.setStartTime(startTime);
        lesson.setEndTime(endTime);

        lesson.setExecuted(false);
        lesson.setLessonType(NamingConstants.LESSON_KINDERGARTEN);
        lesson.setPaid(false);
        lesson.setSnowboard(false);

        lessonManagement.createLesson(lesson);
//        showInfoMessage("Kindergarten created");
        showInfoMessage("Škôlka vytvorená");
    }

    private void writeOut(String id, List<Instructor> instructors) {
        System.out.print(id + ": ");
        for (Instructor instructor : instructors) {
            System.out.print(instructor.getFirstName() + " " + instructor.getLastName() + " ");
        }
        System.out.println("");
    }

    public void updateKindergarten(ActionEvent event) {
        List<Instructor> currentInstructors = new ArrayList<Instructor>(instructors.getTarget());
        currentInstructors.removeAll(previousTargetInstructors);
        List<Lesson> conflictLessons = lessonManagement.checkLessonReservations(lesson.getStartTime(), lesson.getEndTime(), currentInstructors);
        String conflictInstructorsNames = "";
        if (conflictLessons.size() > 0) {
            for (Lesson conflictLesson : conflictLessons) {
                for (Instructor conflictInstructor : conflictLesson.getInstructors()) {
                    conflictInstructorsNames += conflictInstructor.getFirstName() + " " + conflictInstructor.getLastName() + "<br/>";
                }
            }
//            showErrorMessage("Conflict instructors", conflictInstructorsNames);
            showErrorMessage("Inštruktori majú v tomto čase inú hodinu", conflictInstructorsNames);
//             setAvailableInstructors(null);
            return;
        }

        lesson.setInstructors(instructors.getTarget());

        lessonManagement.updateLesson(lesson);
//        showInfoMessage("Instructors updated");
        showInfoMessage("Inštruktori upravení");
        previousTargetInstructors = instructors.getTarget();
    }

    public void updateStudents(ActionEvent event) {
        lesson.setStudents(students);
        lessonManagement.updateLesson(lesson);
//        showInfoMessage("Students updated");
        showInfoMessage("Žiaci upravení");
    }

    public String reinitStudent() {
        selectedStudent = new Student();
        return null;
    }

    public void createNewStudent(ActionEvent event) {
        if (newStudent == null) {
//            showErrorMessage("Please enter name of the student");
            showErrorMessage("Prosím zadajte meno žiaka");
            return;
        }
//        if (newStudent.getFirstName() == null) {
////            showErrorMessage("Please enter first name and last name");
//            showErrorMessage("Prosím zadajte meno a prezvisko žiaka");
//            return;
//        }

        newStudent.setGroupSize(1);
        newStudent.setDisabled(false);

        userManagement.createStudent(newStudent);
        selectedStudent = newStudent;
//        showInfoMessage("New student created successfully");
        showInfoMessage("Nový žiak bol úspešne vytvorený");
    }

    public List<Student> completeStudent(String query) {
        List<Student> results = userManagement.getStudentsByName(query);
        if (results.isEmpty()) {
            newStudent = new Student();
            String[] names = query.split(" +");

            if (names.length > 1) {
                newStudent.setFirstName(names[0]);
                newStudent.setLastName(names[1]);
            } else {
                newStudent.setFirstName(null);
                newStudent.setLastName(names[0]);
            }
        }
        return results;
    }

    private void showInfoMessage(String message) {
        FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_INFO, message, "");
        FacesContext.getCurrentInstance().addMessage(null, msg);
    }

    private void showErrorMessage(String message, String detail) {
        FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_ERROR, message, detail);
        FacesContext.getCurrentInstance().addMessage(null, msg);
    }

    private void showErrorMessage(String message) {
        FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_ERROR, message, "");
        FacesContext.getCurrentInstance().addMessage(null, msg);
    }
}

SkiSchool-war/src/java/org/cvut/skischool/back/LessonsBean.java
package org.cvut.skischool.back;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;
import javax.faces.model.SelectItem;
import org.cvut.skischool.beans.LessonManagementLocal;
import org.cvut.skischool.model.Instructor;
import org.cvut.skischool.model.Lesson;
import org.cvut.skischool.model.Student;

/**
 *
 * @author matej
 */
@ManagedBean(name = "lessonsBean")
@SessionScoped
public class LessonsBean implements Serializable {

    @EJB
    private LessonManagementLocal lessonManagement;
    private DataModel<Lesson> lessons;
    private SelectItem[] executedLessonOptions;
    private SelectItem[] lessonTypeOptions;

    public LessonsBean() {
        String[] data = {"true", "false"};
        String[] names = {"Prebehli", "Neprebehli"};
        String[] lessonTypeDate = {"individual", "group", "kindergarten"};
        String[] lessonTypeNames = {"Individuálne", "Skupinové", "Škôlka"};
//        String[] names = {"Executed", "Not executed"};
        executedLessonOptions = createFilterOptions(data, names);
        lessonTypeOptions = createFilterOptions(lessonTypeDate, lessonTypeNames);
    }

    public SelectItem[] getLessonTypeOptions() {
        return lessonTypeOptions;
    }

    public SelectItem[] getExecutedLessonOptions() {
        return executedLessonOptions;
    }

    public DataModel<Lesson> getAllLessons() {
        lessons = new ListDataModel<Lesson>(lessonManagement.getAllLessons());
        return lessons;
    }

    public List<SelectItem> getInstructorsSelectList() {
        List<SelectItem> instructorsList = new ArrayList<SelectItem>();
        for (Instructor i : lessons.getRowData().getInstructors()) {
            instructorsList.add(new SelectItem(i, i.getFirstName() + " " + i.getLastName()));
        }
        return instructorsList;
    }

    public List<SelectItem> getStudentsSelectList() {
        List<SelectItem> studentsList = new ArrayList<SelectItem>();
        for (Student s : lessons.getRowData().getStudents()) {
            studentsList.add(new SelectItem(s, s.getFirstName() + " " + s.getLastName()));
        }
        return studentsList;
    }

    private SelectItem[] createFilterOptions(String[] data, String[] names) {
        SelectItem[] result = new SelectItem[data.length + 1];

//        result[0] = new SelectItem("", "All");
        result[0] = new SelectItem("", "Všetky");
        for (int i = 0; i < data.length; i++) {
            result[i + 1] = new SelectItem(data[i], names[i]);
        }

        return result;
    }
}

SkiSchool-war/src/java/org/cvut/skischool/back/SelectBean.java
package org.cvut.skischool.back;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;
import org.cvut.skischool.beans.LessonManagementLocal;
import org.cvut.skischool.core.DateTools;
import org.cvut.skischool.core.NamingConstants;
import org.cvut.skischool.model.Instructor;
import org.cvut.skischool.model.Lesson;
import org.cvut.skischool.model.Student;

/**
 *
 * @author matej
 */
@ManagedBean(name = "selectBean")
@SessionScoped
public class SelectBean implements Serializable {

    @EJB
    private LessonManagementLocal lessonManagement;
    private Date startDate;
    private Date endDate;
    private Instructor instructor;
    private Student student;

    public Instructor getInstructor() {
        return instructor;
    }

    public void setInstructor(Instructor instructor) {
        this.instructor = instructor;
    }

    public Student getStudent() {
        return student;
    }

    public void setStudent(Student student) {
        this.student = student;
    }

    public SelectBean() {
        Date actualDate = new Date();
        startDate = DateTools.makeDate(actualDate, 1);
        endDate = DateTools.makeDate(actualDate, Calendar.getInstance().getActualMaximum(Calendar.DAY_OF_MONTH));
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void checkDates(ActionEvent event) {
        if (startDate.after(endDate)) {
//            FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_WARN, "Start date is after end date", null);
            FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_WARN, "Čas do je pred časom od", null);
            FacesContext.getCurrentInstance().addMessage(null, msg);
        }
    }

    public long countIndividualLessons(Instructor instructor) {
        long count = 0;
        List<Lesson> lessons = lessonManagement.countLessons(instructor, startDate, endDate, NamingConstants.LESSON_INDIVIDUAL);
        for (Lesson lesson : lessons) {
            count += DateTools.hoursDifference(lesson.getStartTime(), lesson.getEndTime());
        }
        return count;
    }

    public long countLessonsLangBonus(Instructor instructor) {
        return lessonManagement.countLessonsLangBonus(instructor, startDate, endDate);
    }

    public long countKindergartenLessons(Instructor instructor) {
        long count = 0;
        List<Lesson> lessons = lessonManagement.countLessons(instructor, startDate, endDate, NamingConstants.LESSON_KINDERGARTEN);
        for (Lesson lesson : lessons) {
            count += DateTools.hoursDifference(lesson.getStartTime(), lesson.getEndTime());
        }
        return count;
    }

    public long countGroupLessons(Instructor instructor) {
        long count = 0;
        List<Lesson> lessons = lessonManagement.countLessons(instructor, startDate, endDate, NamingConstants.LESSON_GROUP);
        for (Lesson lesson : lessons) {
            count += DateTools.hoursDifference(lesson.getStartTime(), lesson.getEndTime());
        }
        return count;
    }

    public long countLessonsTotal(Instructor instructor) {
        long totalCount = countIndividualLessons(instructor)
                + countKindergartenLessons(instructor)
                + countGroupLessons(instructor);
        return totalCount;
    }

    public DataModel<Lesson> getLessonsByInstructorAndInterval() {
        DataModel<Lesson> lessons = new ListDataModel<Lesson>(lessonManagement.getLessonsByInstructorAndInterval(instructor, startDate, endDate));
        return lessons;
    }

    public DataModel<Lesson> getLessonsByStudentAndInterval() {
        DataModel<Lesson> lessons = new ListDataModel<Lesson>(lessonManagement.getLessonsByStudentAndInterval(student, startDate, endDate));
        return lessons;
    }
}

SkiSchool-war/web/index.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets">
    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="SkiSchool" />
            <ui:define name="content">

            </ui:define>
        </ui:composition>

    </body>
</html>

SkiSchool-war/web/instructorlessons.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.prime.com.tr/ui">
    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.site_instructorlessons}"/>
            <ui:define name="content">
                <p:panel>
                    <h:form id="dates">
                        <h:panelGrid columns="2">
                            <h:outputText value="#{msgs.global_from}"/>
                            <p:calendar value="#{selectBean.startDate}"
                                        pattern="dd.MM.yyyy"
                                        timeZone="GMT+1"
                                        locale="sk"/>

                            <h:outputText value="#{msgs.global_to}"/>
                            <p:calendar value="#{selectBean.endDate}"
                                        pattern="dd.MM.yyyy"
                                        timeZone="GMT+1"
                                        locale="sk"/>
                        </h:panelGrid>
                        <p:messages/>
                        <p:commandButton value="#{msgs.global_filter}" actionListener="#{selectBean.checkDates}" update="dates, lessons"/>
                    </h:form>
                </p:panel>

                <h:form id="lessons">
                    <p:dataTable value="#{selectBean.lessonsByInstructorAndInterval}" var="lesson">
                        <p:column filterBy="#{lesson.lessonType}"
                                  filterOptions="#{lessonsBean.lessonTypeOptions}"
                                  filterMatchMode="exact">
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessontype}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.lessonType}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_date}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.startTime}">
                                <f:convertDateTime pattern="dd.MM.yy"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_time}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.startTime}">
                                <f:convertDateTime pattern="HH:mm"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                            <h:outputText value=" - "/>
                            <h:outputText value="#{lesson.endTime}">
                                <f:convertDateTime pattern="HH:mm"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_instructors}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.instructors[0].firstName} #{lesson.instructors[0].lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_students}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.students[0].firstName} #{lesson.students[0].lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_note}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.note}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_snb}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.snowboard}" disabled="true"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessonpaid}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.paid}" disabled="true"/>
                        </p:column>
                        <p:column filterBy="#{lesson.executed}"
                                  filterOptions="#{lessonsBean.executedLessonOptions}"
                                  filterMatchMode="exact">
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessonexecuted}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.executed}" disabled="true"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </ui:define>

        </ui:composition>

    </body>
</html>

SkiSchool-war/web/lessons.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.prime.com.tr/ui">
    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.site_lessons}"/>
            <ui:define name="content">

                <h:form id="lessons">
                    <p:dataTable value="#{lessonsBean.allLessons}" var="lesson" rendered="#{securityBean.inRoleAdministrator}">
                        <p:column filterBy="#{lesson.lessonType}"
                                  filterOptions="#{lessonsBean.lessonTypeOptions}"
                                  filterMatchMode="exact">
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessontype}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.lessonType}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_date}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.startTime}">
                                <f:convertDateTime pattern="dd.MM.yy"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_time}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.startTime}">
                                <f:convertDateTime pattern="HH:mm"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                            <h:outputText value=" - "/>
                            <h:outputText value="#{lesson.endTime}">
                                <f:convertDateTime pattern="HH:mm"
                                                   timeZone="GMT+1"/>
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_instructors}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.instructors[0].firstName} #{lesson.instructors[0].lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_students}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.students[0].firstName} #{lesson.students[0].lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_note}"/>
                            </f:facet>
                            <h:outputText value="#{lesson.note}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_snb}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.snowboard}" disabled="true"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessonpaid}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.paid}" disabled="true"/>
                        </p:column>
                        <p:column filterBy="#{lesson.executed}"
                                  filterOptions="#{lessonsBean.executedLessonOptions}"
                                  filterMatchMode="exact">
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessonexecuted}"/>
                            </f:facet>
                            <h:selectBooleanCheckbox value="#{lesson.executed}" disabled="true"/>
                        </p:column>
                    </p:dataTable>
                </h:form>

            </ui:define>
        </ui:composition>

    </body>
</html>

SkiSchool-war/web/login.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <style type="text/css" >
            #loginBody {
                font-family: Lucida Grande, Lucida Sans, Arial, sans-serif;
                font-size: 0.8em;
                color: #333333;
                background-color: #C1DEED;
            }

            #login {
                -moz-border-radius: 5px 5px 5px 5px;
                border: 1px solid white;
                background-color: white;
                display: block;
                width: 20em;
                height: 10em;
                margin-left: auto;
                margin-right: auto;
                margin-top: 6em;
                padding: 3em;
            }

            #login input[type="text"], input[type="password"] {
                -moz-border-radius: 3px 3px 3px 3px;
                width: 12em;
                border: 1px solid #AAAAAA;
                margin-left: 1em;
                margin-top: 0.5em;
                margin-bottom: 0.5em;
                padding: 4px 2px;
            }

            #login input[type="text"]:focus, input[type="password"]:focus {
                -moz-box-shadow: 0 0 8px rgba(82, 168, 236, 0.5);
                border-color: rgba(82, 168, 236, 0.75) !important;
                outline: medium none;
            }

            #login input[type="submit"] {
                -moz-border-radius: 4px 4px 4px 4px;
                background-color: #3399DD;
                border: 1px solid #3399DD;
                color: #FFFFFF;
                font-weight: bold;
                padding: 4px 10px;
            }
        </style>
        <title>SkiSchool Login</title>
    </head>
    <body id="loginBody">

        <div id="login">
            <form action="j_security_check" method="post">
                <table>
                    <tr>
                        <td>Username</td>
                        <td><input type="text" name="j_username" /></td>
                    </tr>
                    <tr>
                        <td>Password</td>
                        <td><input type="password" name="j_password" /></td>
                    </tr>
                </table>
                <input type="submit" value="Sign In" />
            </form>
        </div>

    </body>
</html>